跳至內容

LTX Video 2.3 Pro · Extend Video

整合

模型 id ltx-2.3/extend-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3/extend-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.50 500 API 點數 · ≈ ₽53.79 在此頁面執行

取得 API 金鑰
Lightricks 影片轉影片 唇形同步2–20 秒 #stylized#transform#lipsync

專業影片延伸,從片段末端或開頭延續 2 到 20 秒

Lightricks · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

0 / 5000

描述要在影片延長部分生成之事件。

•必填 video_url
拖放檔案,或

指向要延長之影片的 URL。

預設 5

影片延長時長,限制在 2 秒至 20 秒之間。

進階 mode · context · enable_safety_checker
mode 預設 end

延長位置:'end' 會在影片後加入片段,'start' 會在影片前加入片段。

用於生成延長部分的輸入影片情境時長。省略時會在 505 個影格的限制內選取可用的最大情境;明確指定的時長必須介於 1 秒與 20 秒之間。

POST /run/ltx-2.3/extend-video?wait=20 報價 → $0.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3/extend-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 LTX Video 2.3 Pro · Extend Video

延長現有影片,可由描述新增部分的選用提示詞引導。`duration` 為 2 到 20 秒(預設 5)。`mode` 選擇從末端或開頭延伸。`context`(1 到 20 秒)設定作為內容參考的來源長度,預設會盡可能使用 505 個影格限制內的內容。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
video_url必填 video
類型url · video
指向要延長之影片的 URL。
prompt選填
類型string | null
≤ 5,000 個字元
描述要在影片延長部分生成之事件。
duration選填
類型number
預設值5
2 – 20
影片延長時長,限制在 2 秒至 20 秒之間。
mode選填
類型enum
預設值end
startend
延長位置:'end' 會在影片後加入片段,'start' 會在影片前加入片段。
context選填
類型number | null
1 – 20
用於生成延長部分的輸入影片情境時長。省略時會在 505 個影格的限制內選取可用的最大情境;明確指定的時長必須介於 1 秒與 20 秒之間。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3/extend-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 500,
    "usd": "0.50",
    "charged": 500,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}包含延長結果的影片檔案。

更多模型:影片轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/ltx-2.3/extend-video.md. 所有模型與指南: https://doitong.com/developers/llms.txt